#!/bin/sh
# $Id: sdb.sh,v 1.6 2020/01/25 03:31:55 phil Exp $

SDB=<SNOLIB_LIB>/sdb.sno
SNOBOL4=<BINDIR>/snobol4<VERS>

# handle user args??

# create listing file, and pass filename in environment so sdb.sno can read it.
SDB_LISTFILE=/tmp/sdb_listing.$$
export SDB_LISTFILE

SDB_BREAKPOINTS=/tmp/sdb_bkpts.$$
export SDB_BREAKPOINTS

# remove listing/breakpoints files on exit (if not already removed by sdb)
trap "rm -f $SDB_LISTFILE $SDB_BREAKPOINTS" 0

while true; do
    $SNOBOL4 -b -l $SDB_LISTFILE -L $SDB "$@"
    STATUS=$?
    if [ ! -f "$SDB_BREAKPOINTS" ]; then
	exit $STATUS
    fi
done

